sprite = Sprite.new
bitmap = Bitmap.new 'Graphics/Characters/042-King01'
sprite.bitmap = bitmap
sprite.src_rect = Rect.new(0, 0, bitmap.width / 4, bitmap.height / 4)
 
frame = 0
ANIM_SPEED = 0.1
MOVE_SPEED = 3
while true
  Input.update
  if Input.press?(Input::UP)
    sprite.y -= MOVE_SPEED
    sprite.src_rect.y = 3 * sprite.src_rect.height
    frame += ANIM_SPEED
  end
  if Input.press?(Input::LEFT)
    sprite.x -= MOVE_SPEED
    sprite.src_rect.y = 1 * sprite.src_rect.height
    frame += ANIM_SPEED
  end
  if Input.press?(Input::RIGHT)
    sprite.x += MOVE_SPEED
    sprite.src_rect.y = 2 * sprite.src_rect.height
    frame += ANIM_SPEED
  end
  if Input.press?(Input::DOWN)
    sprite.y += MOVE_SPEED
    sprite.src_rect.y = 0 * sprite.src_rect.height
    frame += ANIM_SPEED
  end
 
  sprite.src_rect.x = (frame.to_i % 4) * sprite.src_rect.width
  Graphics.update
end